package com.steering.mes.mcp.entity;
/**
 * 数据库表MCH_GROUPNO所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2018-12-12
 */
@SuppressWarnings("serial")
public class MchGroupnoEntity implements java.io.Serializable {
    /**
     * 合同号
     */
    private String orderNo = "";
    /**
     * 组号最大值
     */
    private String groupMax = "";
    /**
     * 组号最小值
     */
    private String groupMin = "";
    /**
     * 组号
     */
    private String groupNo = "";
    /**
     * 下线支
     */
    private String offlineNum = "";
    /**
     * 下线过的最大值
     */
    private String offlineMax = "";
    /**
     * 下线过的最小值
     */
    private String offlineMin = "";
    /**
     * 工序代码
     */
    private String processCode = "";
    /**
     * 最大值符号
     */
    private String groupMaxSign = "";
    /**
     * 最小值符号
     */
    private String groupMinSign = "";
    /**
     * 1- 原始固定的合同长度(R1,R2,R3额外多一条)   0- 合同外
     */
    private String flag = "";

    /**
     * 合同号
     * @return value
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 合同号
     * @param orderNo value
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 组号最大值
     * @return value
     */
    public String getGroupMax() {
        return groupMax;
    }

    /**
     * 组号最大值
     * @param groupMax value
     */
    public void setGroupMax(String groupMax) {
        this.groupMax = groupMax;
    }

    /**
     * 组号最小值
     * @return value
     */
    public String getGroupMin() {
        return groupMin;
    }

    /**
     * 组号最小值
     * @param groupMin value
     */
    public void setGroupMin(String groupMin) {
        this.groupMin = groupMin;
    }

    /**
     * 组号
     * @return value
     */
    public String getGroupNo() {
        return groupNo;
    }

    /**
     * 组号
     * @param groupNo value
     */
    public void setGroupNo(String groupNo) {
        this.groupNo = groupNo;
    }

    /**
     * 下线支
     * @return value
     */
    public String getOfflineNum() {
        return offlineNum;
    }

    /**
     * 下线支
     * @param offlineNum value
     */
    public void setOfflineNum(String offlineNum) {
        this.offlineNum = offlineNum;
    }

    /**
     * 下线过的最大值
     * @return value
     */
    public String getOfflineMax() {
        return offlineMax;
    }

    /**
     * 下线过的最大值
     * @param offlineMax value
     */
    public void setOfflineMax(String offlineMax) {
        this.offlineMax = offlineMax;
    }

    /**
     * 下线过的最小值
     * @return value
     */
    public String getOfflineMin() {
        return offlineMin;
    }

    /**
     * 下线过的最小值
     * @param offlineMin value
     */
    public void setOfflineMin(String offlineMin) {
        this.offlineMin = offlineMin;
    }

    /**
     * 工序代码
     * @return value
     */
    public String getProcessCode() {
        return processCode;
    }

    /**
     * 工序代码
     * @param processCode value
     */
    public void setProcessCode(String processCode) {
        this.processCode = processCode;
    }

    /**
     * 最大值符号
     * @return value
     */
    public String getGroupMaxSign() {
        return groupMaxSign;
    }

    /**
     * 最大值符号
     * @param groupMaxSign value
     */
    public void setGroupMaxSign(String groupMaxSign) {
        this.groupMaxSign = groupMaxSign;
    }

    /**
     * 最小值符号
     * @return value
     */
    public String getGroupMinSign() {
        return groupMinSign;
    }

    /**
     * 最小值符号
     * @param groupMinSign value
     */
    public void setGroupMinSign(String groupMinSign) {
        this.groupMinSign = groupMinSign;
    }

    /**
     * 1- 原始固定的合同长度(R1,R2,R3额外多一条)   0- 合同外
     * @return value
     */
    public String getFlag() {
        return flag;
    }

    /**
     * 1- 原始固定的合同长度(R1,R2,R3额外多一条)   0- 合同外
     * @param flag value
     */
    public void setFlag(String flag) {
        this.flag = flag;
    }
}